Package org.eclipse.microprofile.metrics.tck.tags

## Class CounterFieldTagBeanTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.tags.CounterFieldTagBeanTest

    public class CounterFieldTagBeanTest
    extends Object

### Constructor Summary

Constructors
`CounterFieldTagBeanTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `counterTagFieldsRegistered()`
`static org.jboss.shrinkwrap.api.Archive<?>` `createTestArchive()`
`void` `incrementCounterTagFields()`
`void` `instantiateTest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CounterFieldTagBeanTest

    public CounterFieldTagBeanTest()

### Method Detail

#### createTestArchive

    @Deployment
    public static org.jboss.shrinkwrap.api.Archive<?> createTestArchive()

#### instantiateTest

    public void instantiateTest()

#### counterTagFieldsRegistered

    @InSequence(1)
    public void counterTagFieldsRegistered()

#### incrementCounterTagFields

    @InSequence(2)
    public void incrementCounterTagFields()